# Define Multiple Conditions

### How Does It Work?

Having multiple conditions for your element is supported by using the semicolon (;) as a separator between each condition that you have defined.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="268.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-visibility</td><td>conditionName:conditionValue;<br>conditionName:conditionValue</td><td>Any Element</td></tr></tbody></table>

The semicolon must be added after the value or any special characters.

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>countryCode:AU;countryCode:CA</code></mark></td><td>The element is only visibile to visitors in either Australia or Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>isMobile:true;countryCode:CA</code></mark></td><td>The element is visible to mobile visitors or anyone currently in Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>city:Sydney;city:Melbourne</code></mark></td><td>The element is visibile to anyone that is currently in the cities Sydney or Melbourne.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>deviceType:Desktop;isEU:true</code></mark></td><td>The element is only visible to visitors in the European Union or desktop computer users.</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility/define-multiple-conditions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
